> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete task

> Delete a task



## OpenAPI

````yaml delete /v1/customers/{customer_id}/tasks/{id}
openapi: 3.0.0
info:
  title: Tasks API
  version: 1.0.0
  description: API for managing tasks and assignments
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tasks
    description: Task management operations
  - name: Task Actions
    description: Task action operations
  - name: Task Assignees
    description: Task assignee operations
paths:
  /v1/customers/{customer_id}/tasks/{id}:
    delete:
      tags:
        - Tasks
      summary: Delete task
      description: Delete a task
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Task deleted successfully
        '404':
          $ref: '#/components/responses/TaskNotFoundError'
components:
  responses:
    TaskNotFoundError:
      description: Task not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: tasks.task_not_found
            message: Task not found
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````